## LassoEcpRequest

LassoEcpRequest — <ecp:Request>

## Functions

int | lasso_ecp_request_validate ()
LassoNode * | lasso_ecp_request_new ()

## Description

Figure 94. Schema fragment for ecp:Request

    <element name="Request" type="ecp:RequestType"/>
    <complexType name="RequestType">
        <sequence>
            <element ref="saml:Issuer"/>
            <element ref="samlp:IDPList" minOccurs="0"/>
        </sequence>
        <attribute ref="S:mustUnderstand" use="required"/>
        <attribute ref="S:actor" use="required"/>
        <attribute name="ProviderName" type="string" use="optional"/>
        <attribute name="IsPassive" type="boolean" use="optional"/>
    </complexType>

## Functions

### lasso_ecp_request_validate ()

    int
    lasso_ecp_request_validate (LassoEcpRequest *request);

Validates the LassoEcpRequest object conforms to required values.

- mustUnderstand must be TRUE
- actor must be equal to LASSO_SOAP_ENV_ACTOR

#### Parameters

request | the LassoEcpRequest object to validate |

#### Returns

0 on success, error code otherwise

### lasso_ecp_request_new ()

    LassoNode *
    lasso_ecp_request_new (const gchar *Issuer,
                           gboolean IsPassive,
                           const gchar *ProviderName,
                           LassoSamlp2IDPList *IDPList);

Creates and intializes new LassoEcpRequest object.

The LassoEcpRequest object is initialized as follows:

Issuer = `Issuer`
IsPassive = `IsPassive`
ProviderName = `ProviderName`
IDPList = `IDPList` (if non-NULL)
mustUnderstand = TRUE
actor = LASSO_SOAP_ENV_ACTOR

#### Parameters

IDPList | . | [allow-none]

#### Returns

a newly created and initialized LassoEcpRequest object